Bug 827463 - AttributeError: 'NoneType' object has no attribute 'type'
AttributeError: 'NoneType' object has no attribute 'type'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:ddd0bfc7028503d2b6206a84ef5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 10:29 EDT by Takanori MATSUURA
Modified: 2013-07-31 19:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:54:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-ywtOZ7 (432.86 KB, text/plain)
2012-06-01 10:29 EDT, Takanori MATSUURA
no flags Details

  None (edit)
Description Takanori MATSUURA 2012-06-01 10:29:36 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-ywtOZ7
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           2012年06月01日 23時27分44秒
version:        17

anaconda-tb-ywtOZ7: Text file, 443249 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 385, in doIt
:    if boot.type == "mdarray":
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packages.py", line 122, in turnOnFilesystems
:    anaconda.storage.doIt()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 88, in return_false
:    func(*args, **kwargs)
:AttributeError: 'NoneType' object has no attribute 'type'

environ:
:LANG=ja_JP.UTF-8
:repo=hd::/var/cache/yum/preupgrade
:TERM=linux
:BOOT_IMAGE=/upgrade/vmlinuz
:XAUTHORITY=/root/.Xauthority
:LC_NUMERIC=C
:SHLVL=0
:PYTHONPATH=/tmp/updates
:LVM_SUPPRESS_FD_WARNINGS=1
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:GNOME_DISABLE_CRASH_DIALOG=1
:ks=hd:UUID=30629234-5252-473e-881a-8040955bea29:/upgrade/ks.cfg
:PWD=/
:MALLOC_PERTURB_=204
:GCONF_GLOBAL_LOCKS=1
:HOME=/tmp
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:stage2=hd:UUID=30629234-5252-473e-881a-8040955bea29:/upgrade/squashfs.img
:MALLOC_CHECK_=2
:DISPLAY=:1
Comment 1 Takanori MATSUURA 2012-06-01 10:29:42 EDT
Created attachment 588480 [details]
File: anaconda-tb-ywtOZ7
Comment 2 Takanori MATSUURA 2012-06-01 10:43:11 EDT
Steps to get this error:
1. run preupgrade on Fedora 16 x86_64
2. reboot

Machine: MacBook 3,1
Comment 3 Raffaele Candeliere 2012-06-18 02:33:20 EDT
Exactly the same issue on an alu iMac 20". The problem is present also with the DVD install.
Comment 4 Fedora End Of Life 2013-07-03 18:12:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 19:54:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.